# MCS_AUcf Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_AUcf:

List of all members.

## Public Types

enum | OptionalFields { e_initiator }

## Public Member Functions

| MCS_AUcf (unsigned tag=11, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_Result | m_result
MCS_UserId | m_initiator

## Member Enumeration Documentation

enum MCS_AUcf::OptionalFields

Enumerator:

  e_initiator |

## Constructor & Destructor Documentation

MCS_AUcf::MCS_AUcf | ( | unsigned | tag = `11`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_AUcf::GetDataLength | ( |  | ) | const

PBoolean MCS_AUcf::Decode | ( | PASN_Stream & | strm | ) |

void MCS_AUcf::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_AUcf::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_AUcf::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_AUcf::Clone | ( |  | ) | const

## Member Data Documentation

MCS_Result MCS_AUcf::m_result

MCS_UserId MCS_AUcf::m_initiator

The documentation for this class was generated from the following file:

- mcs.h